--- /etc/udev/scripts/mount.sh.old 2015-12-25 01:45:46.468753107 +0100
+++ /etc/udev/scripts/mount.sh 2016-01-10 00:02:44.328124023 +0100
@@ -12,11 +12,12 @@
name="`basename "$DEVNAME"`"
name2="`$blkid "$DEVNAME" -c /dev/null -o value -s LABEL | sed 's/ /_/g'`"
name3=$(echo $DEVNAME | sed 's/.*dev.//g')
+name4="`$blkid "$DEVNAME" -c /dev/null -o value -s UUID`"
uid=$(cat /tmp/currentuid)
for line in `grep -v ^# /etc/udev/mount.blacklist`
do
- if ( echo "$DEVNAME" | grep -q "$line" )
+ if { ( echo "$DEVNAME" | grep -q "$line" ) || ( echo "$name4" | grep -q "$line" ) };
then
logger "udev/mount.sh" "[$DEVNAME] is blacklisted, ignoring"
exit 0